<script setup lang="ts">
import type PatchNoteSection from "@/entities/MergeRequest/PatchNoteSection";
import TextContainer from "@/components/atoms/container/TextContainer.vue";
import PatchNoteSectionContentViewer from "@/components/molecules/viewer/PatchNoteSectionContentViewer.vue";

defineProps<{ patchNote: Array<PatchNoteSection> }>()
</script>

<template>
  <ul>
    <li
        :key="'section_' + section.code"
        v-for="(section) of patchNote"
        class="[&:not(:last-child)]:mb-4"
    >
      <TextContainer class="font-bold">
        <span>##</span>
        <span>{{ section.name }}</span>
        <span>:</span>
      </TextContainer>
      <PatchNoteSectionContentViewer :section="section"/>
    </li>
  </ul>
</template>